// creator  : weidu.exe (version 23100)
// argument : ARLED.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~ARLED~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~Global("ShadowWork","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #21060 /* ~A fair day to you, my <LADYLORD>.  I am afraid I can do no business with you until Gaelan wills it, however.~ */
  IF ~!IfValidForPartyDialogue("JAN")
!IfValidForPartyDialogue("KELDORN")~ THEN EXIT
  IF ~IfValidForPartyDialogue("JAN")~ THEN EXTERN ~JANJ~ 102
  IF ~!IfValidForPartyDialogue("JAN")
IfValidForPartyDialogue("KELDORN")~ THEN EXTERN ~KELDORJ~ 113
END

IF WEIGHT #2 /* Triggers after states #: 4 even though they appear after this state */
~Global("ShadowWork","GLOBAL",1)
~ THEN BEGIN 1 // from:
  SAY #21061 /* ~I understand I must give you access to my wares.  My sources vary, and I will not name them, but if you wish to purchase, I am sure we can come to an arrangement.~ */
  IF ~~ THEN REPLY #21062 /* ~Alright.  Let's take a look at what you have.~ */ GOTO 2
  IF ~~ THEN REPLY #21063 /* ~I'm not interested in anything that you have.~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #21064 /* ~An excellent choice, my <LADYLORD>.  You'll find that I offer many things not to be found elsewhere in Athkatla... and if they are, you'll not find them at a lower price.~ */
  IF ~~ THEN DO ~StartStore("arled",LastTalkedToBy())
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #21065 /* ~I am sure that is not true, my <LADYLORD>.  All of my goods are of interest either for their rarity or their low price.  But you may certainly do as you wish.  Good business to you.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Global("TalkedToBodi","GLOBAL",1)
~ THEN BEGIN 4 // from:
  SAY #21066 /* ~I am afraid that, today, you must speak first to Gaelan before we can perform any transactions.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #48634 /* ~As I said, not until Gaelan wills it. Good day.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #48636 /* ~You will have to hold your judgement until Gaelan wills it, as I said.~ */
  IF ~~ THEN EXIT
END
